VegBank - Bug #961

Required Fields for VegBank -- show questionable ones
01/23/2003 11:09 AM - Michael Lee
Description

This bug is for Lee to show the Pl's the fields in VegBank that are required
that may not need to be required. Attached are 2 lists that do that.

History

#4 - 01/23/2003 11:16 AM - Michael Lee

the attachments of this bug are .csv files that are roughly viewable when
clicking them, otherwise can be saved and viewed in Excel or 1-2-3. The
essential issues are: If a user has no cover (only stems), then s/he has no
autoTaxonCover or cover method, etc. Similarly, if a user has no strata
observed, then no stratumMethod should be specified. Also, if plot is public,
there is no confidentialityReason; "plotless" plots (unbounded) will have no
area.

This bug should be reassigned to farrell after PI's have decided which fields
should stay required and which should be moved to non-required. then Farrell
changes db implementation to allow plots without the field(s) that have changed
to non-required (nulls=yes).

#5 - 04/15/2003 01:10 PM - Michael Lee

this has been fixed with questionable field going to non-required
(nulls=yes). A list of business rules has been started to cover the bulk of
the situations, which should have most of the fields as required.

#6 - 01/31/2005 02:53 PM - Michael Lee

changed from components that are to be deleted to "misc" so that bugs don't get
deleted with component. Sorry for all the email.

#7 - 03/27/2013 02:15 PM - Redmine Admin
Original Bugzilla ID was 961

Files

reqdFields_check_brief.csv 923 Bytes 01/23/2003 Michael Lee

reqdFields_check.csv 4.91 KB 01/23/2003 Michael Lee

reqdFields.csv 23.8 KB 01/23/2003 Michael Lee
